import request from '@/utils/request'

// 获取菜单列表
export function getMenu(parameter) {
  return request({
    url: '/api/menu',
    method: 'get',
    params: parameter
  })
}

// 获取菜单详情
export function getMenuDetails(parameter) {
  return request({
    url: '/api/menu',
    method: 'get',
    params: parameter
  })
}

// 获取左侧菜单列表
export function getMenuRole(parameter) {
  return request({
    url: '/api/menu-role',
    method: 'get',
    params: parameter
  })
}
// 获取菜单列表（添加权限）
export function getMenuRoleSelect(parameter) {
  return request({
    url: '/api/menu-select',
    method: 'get',
    params: parameter
  })
}

// 添加菜单
export function addMenu(parameter) {
  return request({
    url: '/api/menu',
    method: 'post',
    data: parameter
  })
}

// 编辑菜单
export function putMenu(parameter) {
  return request({
    url: '/api/menu',
    method: 'put',
    data: parameter
  })
}

// 删除菜单
export function delMenu(parameter) {
  return request({
    url: '/api/menu',
    method: 'delete',
    data: parameter
  })
}
